about summary refs log tree commit diff
path: root/extra/notify/configure
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-04-30 19:35:40 -0400
committerJune McEnroe <june@causal.agency>2021-04-30 19:35:40 -0400
commit70651e35d84bca8a4acadf9dfec6a58933e70471 (patch)
treeccd19e0caab35a02161803dc3494afa2850e6f3b /extra/notify/configure
parentnotify: Add prospective manual page for pounce-notify (diff)
downloadpounce-70651e35d84bca8a4acadf9dfec6a58933e70471.tar.gz
pounce-70651e35d84bca8a4acadf9dfec6a58933e70471.zip
notify: Implement pounce-notify
Diffstat (limited to '')
-rwxr-xr-xextra/notify/configure44
1 files changed, 44 insertions, 0 deletions
diff --git a/extra/notify/configure b/extra/notify/configure
new file mode 100755
index 0000000..5a4ec45
--- /dev/null
+++ b/extra/notify/configure
@@ -0,0 +1,44 @@
+#!/bin/sh
+set -eu
+
+cflags() {
+	echo "CFLAGS += $*"
+}
+ldlibs() {
+	echo "LDLIBS ${o:-}= $*"
+	o=+
+}
+config() {
+	pkg-config --print-errors "$@"
+	cflags $(pkg-config --cflags "$@")
+	ldlibs $(pkg-config --libs "$@")
+}
+defstr() {
+	cflags "-D'$1=\"$2\"'"
+}
+defvar() {
+	defstr "$1" "$(pkg-config --variable=$3 $2)${4:-}"
+}
+
+exec >config.mk
+
+for opt; do
+	case "${opt}" in
+		(--prefix=*) echo "PREFIX = ${opt#*=}" ;;
+		(--mandir=*) echo "MANDIR = ${opt#*=}" ;;
+		(*) echo "warning: unsupported option ${opt}" >&2 ;;
+	esac
+done
+
+case "$(uname)" in
+	(OpenBSD)
+		ldlibs -ltls
+		;;
+	(Linux)
+		cflags -D_GNU_SOURCE
+		config libtls
+		;;
+	(*)
+		config libtls
+		;;
+esac
ss='nohover-highlight'> 2022-02-19Factor out window management to window.cJune McEnroe 2022-02-19Enable -Wmissing-prototypesJune McEnroe In other words, warn when a function is missing static. I don't see why this isn't in -Wextra. 2022-02-19Fix edit.[ch] license notice additional permissionsJune McEnroe 2022-02-19Run line editing testsJune McEnroe I know, it feels wrong. 2022-02-18Implement new line editing "library"June McEnroe Losing tab complete and text macros, for now. This new implementation works on an instance of a struct and does not interact with the rest of catgirl, making it possible to copy into another project. Unlike existing line editing libraries, this one is entirely abstract and can be rendered externally. My goal with this library is to be able to implement vi mode. Since it operates on struct instances rather than globals, it might also be possible to give catgirl separate line editing buffers for each window, which would be a nice UX improvement. 2022-02-18Simplify cursor positioning in inputJune McEnroe Do some extra work by adding the portion before the cursor to the input window twice, but simplify the interaction with the split point. This fixes the awkward behaviour when moving the cursor across colour codes where the code would be partially interpreted up to the cursor. 2022-02-18Fix M-f orderingJune McEnroe 2022-02-12Move sandman build to scripts/MakefileJune McEnroe 2022-02-12Use compat_readpassphrase.c on LinuxJune McEnroe 2022-02-12Copy RPP defines from oconfigureJune McEnroe